﻿using System.Web.Mvc;

namespace INNOVACALL.Framework.Common.MVCHelpers
{
    /// <summary>
	/// See http://msdn.microsoft.com/en-us/library/dd381609.aspx
	/// The OnResultExecuting method is called just before the ActionResult instance that is returned by your action is invoked. 
	/// The OnResultExecuted method is called just after the result is executed. 
	/// These methods are useful for performing actions such as logging, output caching, and so forth.
    /// </summary>
	public class InnovacallGlobalFilter : ActionFilterAttribute
    {
        /// <summary>
		/// Overrides OnActionExecuting
        /// </summary>
        /// <param name="filterContext"></param>
		public override void OnActionExecuting(ActionExecutingContext filterContext)
        {
            base.OnActionExecuting(filterContext);
        }
    }
}
