﻿using System.ComponentModel.DataAnnotations;
using InnovaApp.Layers.ResourcesLayer.Properties;
using INNOVACALL.Framework.Common.MVCHelpers.Localization;

namespace InnovaApp.Layers.SecurityLayer.Models.MetaData
{
    public class LogOn_MetaData : _MetaData_Base
    {
        [Required]
        [DisplayNameLocalizedEntityAttribute(typeof(Resources), "_Layout", "LogOn", "UserName")]
        public string UserName { get; set; }

        [Required]
        [DataType(DataType.Password)]
        [DisplayNameLocalizedEntityAttribute(typeof(Resources), "_Layout", "LogOn", "Password")]
        public string Password { get; set; }
    }
}
