﻿using System;
using System.Linq;
using System.Web.Security;
using EmitMapper;
using InnovaApp.Layers.CommonLayer;
using InnovaApp.Layers.DataLayer;
using InnovaApp.Layers.DomainLayer;
using InnovaApp.Layers.ResourcesLayer.Properties;
using INNOVACALL.Framework.Common;
using INNOVACALL.Framework.Common.MVCHelpers;

namespace MyCompany.Portals.MyPortal.Controllers
{
    /// <summary>
    /// Classe de base dont doivent hériter tous les controleurs
    /// </summary>
    [CacheManager(enCacheMode.NoCache)]
    public abstract class _Controllers_Base<T> : InnovaApp.Layers.CommonLayer.Controllers._Controllers_Base<T> where T : INNOVACALL.Framework.Common.Models._Models_Base
    {
    }
}