﻿$.fn.kendoMenuOpenFixup = function (e) {
    var evt = e;
}

$.fn.PrepareLayoutMenus = function () {
    $("#layoutMenu").kendoMenu({
        open: $.fn.kendoMenuOpenFixup
    });
}

//------------------Ouvre la dialogBox----------------
$.fn.jqDialog = function (idDiv, titre, redirection) {
    var dialogBox = $(idDiv);
    $(dialogBox).hide();
    $(dialogBox).dialog({
        title: titre,
        autoOpen: false,
        resizable: false,
        modal: true,
        minHeight: 450,
        minWidth: 800,
        buttons: [
			{
			    text: "Ok",
			    click: function () {
			        if (redirection != null) {
			            $.fn.NavigateTo(redirection);
			        }
			        $(this).dialog("close");
			    }
			}
		],
        open: function (event, ui) { }
    });
};
//------------------Appel l'ouverture de la dialogBox----------------
$.fn.jqDialogConfirm = function (title, message, confirmButtonTitle, cancelButtonTitle, okFunction) {
    var dialogBox = $('#dialogMessage');
    dialogBox.text(message);
    $(dialogBox).hide();
    $(dialogBox).dialog({
        title: title,
        autoOpen: false,
        resizable: false,
        modal: true,
        minHeight: 200,
        minWidth: 350,
        buttons: [
			{
			    text: confirmButtonTitle,
			    click: okFunction
			}
            ,
            {
                text: cancelButtonTitle,
                click: function () { $('#dialogMessage').dialog('close'); }
            }
		]
    });
    $('#dialogMessage').dialog('open');
}
//------------------Appel l'ouverture de la dialogBox----------------
$.fn.jqDialogMessageOpen = function () {
    $.fn.jqDialog('#dialogMessage', 'Alerte Erreur');
    $('#dialogMessage').dialog('open');
}
//------------------Appel l'ouverture de la dialogBox----------------
$.fn.jqDialogAlert = function (title, message, redirection) {
    $.fn.jqDialog('#dialogMessage', title, redirection);
    $('.ui-dialog-content').text(message);
    $('#dialogMessage').dialog('open');
}
//------------------Appel l'ouverture de la dialogBox pour une erreur----------------
$.fn.jqDialogErreur = function (divErreur, exception) {
    $.fn.jqDialog("#dialogErreur", "Alerte Pop-Up");
    $('.ui-dialog-title').fadeIn().text('Alerte Erreur');
    $('.ui-dialog-content').fadeIn().text('Message d\'erreur : ' + exception);
};
//------------------Appel de la fonction jqDialogErreur en lui passant le nom du div----------------
$.fn.jqDialogErreurOpen = function (exception) {
    var divErreur = '#GestionErreur';
    $.fn.jqDialogErreur(divErreur, exception);
    $(divErreur).dialog('open');
};
//------------------Serialise les objets d'une form----------------
$.fn.serializeObject = function () {
    var obj = {};
    $(":input[type='checkbox']").each(function (e) {
        obj[this.name] = this.checked;
    });
    var o = {};
    var a = this.serializeArray();
    $.each(a, function () {
        if (o[this.name] !== undefined) {
            if (obj !== undefined) {
                if (obj[this.name] !== undefined) {
                    o[this.name] = obj[this.name];
                }
            }
            else {
                if (!o[this.name].push) {
                    o[this.name] = [o[this.name]];
                }
                o[this.name].push(this.value || '');
            }
        }
        else {
            o[this.name] = this.value || '';
        }
    });
    return o;
};
//------------------Navigate to the url----------------
$.fn.NavigateTo = function (url) {
    window.location.href = url;
}

//------------------Localisation du Datepicker----------------
jQuery(function ($) {
    if ($.datepicker != null) {
        $.datepicker.regional['fr'] = { clearText: 'Effacer', clearStatus: '',
            closeText: 'Fermer', closeStatus: 'Fermer sans modifier',
            prevText: '<Préc', prevStatus: 'Voir le mois précédent',
            nextText: 'Suiv>', nextStatus: 'Voir le mois suivant',
            currentText: 'Courant', currentStatus: 'Voir le mois courant',
            monthNames: ['Janvier', 'Février', 'Mars', 'Avril', 'Mai', 'Juin',
		'Juillet', 'Août', 'Septembre', 'Octobre', 'Novembre', 'Décembre'],
            monthNamesShort: ['Jan', 'Fév', 'Mar', 'Avr', 'Mai', 'Jun',
		'Jul', 'Aoû', 'Sep', 'Oct', 'Nov', 'Déc'],
            monthStatus: 'Voir un autre mois', yearStatus: 'Voir un autre année',
            weekHeader: 'Sm', weekStatus: '',
            dayNames: ['Dimanche', 'Lundi', 'Mardi', 'Mercredi', 'Jeudi', 'Vendredi', 'Samedi'],
            dayNamesShort: ['Dim', 'Lun', 'Mar', 'Mer', 'Jeu', 'Ven', 'Sam'],
            dayNamesMin: ['Di', 'Lu', 'Ma', 'Me', 'Je', 'Ve', 'Sa'],
            dayStatus: 'Utiliser DD comme premier jour de la semaine', dateStatus: 'Choisir le DD, MM d',
            dateFormat: 'dd/mm/yy', firstDay: 0,
            initStatus: 'Choisir la date', isRTL: false
        };
        $.datepicker.setDefaults($.datepicker.regional['fr']);
    }
});

$.fn.TabifyCodeFiles = function () {
    $(".divCodeFilesTabStrip").kendoTabStrip({ theme: "Blue Opal" });
}