﻿using System.Web.Mvc;
using InnovaApp.Layers.DataLayer;
using InnovaApp.Layers.ResourcesLayer.Properties;
using InnovaApp.Portals.MVC4Portal.Models;
using INNOVACALL.Framework.Common;

namespace InnovaApp.Portals.MVC4Portal.Controllers
{
    public class AboutController : _Controllers_Base<AboutModel>
    {
		protected override void Initialize(System.Web.Routing.RequestContext requestContext)
		{
			base.eMethodBase = "InnovaApp.Portals.InnovaAppFrontOfficePortal.Controllers.AboutController";
			base.specificCssCollection = null;
			base.specificJSCollection = null;
			base.dynamicJSCollection = null;
			base.specificJqueryJSCollection = null;
			base.externalCSS = null;
			base.Meta.Add(enMeta.Description, Resources.View_About_Meta_Description);
			base.Meta.Add(enMeta.Keywords, Resources.View_About_Meta_Keywords);
			base.Meta.Add(enMeta.Subject, Resources.View_About_Meta_Subject);
			base.Initialize(requestContext);
		}
		//
        // GET: /About/
        public ActionResult Index()
        {
			using (DataRepositories _context = new DataRepositories())
			{
                base.InitView(
                    Resources.View_About_PageTitle,
                    Resources.View_About_PageMessage,
                    specificCssCollection,
                    specificJSCollection,
                    dynamicJSCollection,
                    specificJqueryJSCollection,
                    jsVariables,
                    externalCSS,
                    Meta,
                    _context,
                    true);
			}
			return View(ContentData);
		}

    }
}
