﻿using System.Collections.Generic;
using System.Web.Mvc;
using InnovaApp.Portals.MVC4Portal.Models.MetaModels.ContactManagement;
using INNOVACALL.Framework.Common.Models;
using INNOVACALL.Framework.Common.MVCHelpers.Localization;

namespace InnovaApp.Portals.MVC4Portal.Models
{
    public class AdvancedSamples_AddressesManagementModel : _Models_Base
    {
        [DisplayNameLocalizedEntityAttribute(typeof(InnovaApp.Layers.ResourcesLayer.Properties.Resources), "ContactAddress", "CurrentContact")]
        public ContactViewer_MetaModel CurrentContact { get; set; }
        [DisplayNameLocalizedEntityAttribute(typeof(InnovaApp.Layers.ResourcesLayer.Properties.Resources), "ContactAddress", "Addresses")]
        public List<SelectListItem> Addresses { get; set; }
        [DisplayNameLocalizedEntityAttribute(typeof(InnovaApp.Layers.ResourcesLayer.Properties.Resources), "ContactAddress", "CurrentAddress")]
        public ContactAddress_MetaModel CurrentAddress { get; set; }
        [DisplayNameLocalizedEntityAttribute(typeof(InnovaApp.Layers.ResourcesLayer.Properties.Resources), "ContactAddress", "InvolvedCode")]
        public InvolvedCodeModel InvolvedCode { get; set; }

        public AdvancedSamples_AddressesManagementModel()
        {
            this.Addresses = new List<SelectListItem>();
            this.CurrentAddress = new ContactAddress_MetaModel();
            this.InvolvedCode = new InvolvedCodeModel();
            this.CurrentContact = new ContactViewer_MetaModel();
        }
    }
}