﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace INNOVACALL.Framework.Common.CountryCurrencyService
{
	public class CountryService
	{
		public IEnumerable<string> GetStartWith(string term, int count)
		{
			if (term == null)
			{
				return null;
			}
			return Country.GetValues().Where(i => i.LocalizedName.StartsWith(term, StringComparison.InvariantCultureIgnoreCase)).Select(i => i.LocalizedName).Take(count);
		}
	}
}