﻿using System.Web.Security;

namespace InnovaApp.Layers.SecurityLayer.Models.AccountModels.MembershipServices
{
    public interface IMembershipService
    {
        int MinPasswordLength { get; }

        bool ValidateUser(string userName, string password);
        MembershipCreateStatus CreateUser(string userName, string password, string email);
        bool ChangePassword(string userName, string oldPassword, string newPassword);
    }
}
