﻿using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;
using InnovaApp.Layers.ResourcesLayer.Properties;
using InnovaApp.Layers.SecurityLayer.Models.MetaData;
using INNOVACALL.Framework.Common.MVCHelpers.Localization;

namespace InnovaApp.Layers.SecurityLayer.Models.MetaModels
{
	public class ChangePassword_MetaModel : ChangePassword_MetaData
	{
		[DataType(DataType.Password)]
		[DisplayNameLocalizedEntityAttribute(typeof(Resources), "ChangePassword", "Account", "RetypePassword")]
		[Compare("NewPassword", ErrorMessageResourceName = "View_ChangePassword_Compare", ErrorMessageResourceType = typeof(Resources))]
		public string ConfirmPassword { get; set; }
	}
}
