﻿using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;
using InnovaApp.Layers.MetaDataLayer;
using InnovaApp.Layers.ResourcesLayer.Properties;
using INNOVACALL.Framework.Common.MVCHelpers.Localization;

namespace InnovaApp.Layers.SecurityLayer.Models.MetaModels
{
	public class InnoAppUser_MetaModel : InnoAppUser_MetaData
	{

		[DataType(DataType.Password)]
		[DisplayNameLocalizedEntityAttribute(typeof(Resources), "Register", "AppUser", "ConfirmPassword")]
		//see http://connect.microsoft.com/VisualStudio/feedback/details/665793/jquery-unobtrusive-validate-equalto-fails-with-compare-attribute#details
		[Compare("Password", ErrorMessageResourceName = "ErrMsgPassword_Compare_Mismatch", ErrorMessageResourceType = typeof(Resources))]
		public string ConfirmPassword { get; set; }
		
		public InnoAppUser_MetaModel()
			: base()
		{
		}
	}
}
