﻿using System.Collections.Generic;
using System.Web.Http;
using INNOVACALL.Framework.Common.CountryCurrencyService;

namespace InnovaApp.Portals.MVC4Portal.Controllers
{
    public class CountryApiController : ApiController
    {
        public CountryApiController()
        {
            this.CountryService = new CountryService();
        }

        protected CountryService CountryService { get; private set; }

        public IEnumerable<string> CountryNameStartWith(object data)
        {
            return CountryService.GetStartWith(data.ToString(), 15);
        }
    }
}
