﻿using System.Web.Mvc;
using InnovaApp.Layers.DataLayer;
using InnovaApp.Layers.ResourcesLayer.Properties;
using InnovaApp.Portals.MVC4Portal.Models;
using INNOVACALL.Framework.Common;
using INNOVACALL.Framework.Common.CodeFormatting;
using INNOVACALL.Framework.Common.Models;
using INNOVACALL.Framework.Common.MVCHelpers;
using System;

namespace InnovaApp.Portals.MVC4Portal.Controllers
{
    public class Http500Controller : _Controllers_Base<Http500Model>
    {
        protected override void Initialize(System.Web.Routing.RequestContext requestContext)
        {
            base.eMethodBase = "InnovaApp.Portals.InnovaAppFrontOfficePortal.Controllers.Http500Controller";
            base.specificCssCollection = new string[] { "_FormCommon.css", "Views/Http500.css", "ClientComponents/CodeFormatting/csharp.css", "ClientComponents/KendoUI/kendo.common.min.css", "ClientComponents/KendoUI/kendo.blueopal.min.css" };
            base.specificJSCollection = null;
            base.dynamicJSCollection = new string[] { "/ScriptsG/inoHttp500Dynamic.js" };
            base.specificJqueryJSCollection = new string[] { "ClientComponents/KendoUI/kendo.web.min.js", "InnovacallJS/Http500/Http500.js" };
            base.externalCSS = null;
            base.Meta.Add(enMeta.Description, string.Empty);
            base.Meta.Add(enMeta.Keywords, string.Empty);
            base.Meta.Add(enMeta.Subject, string.Empty);

            base.Initialize(requestContext);
        }

        [HttpGet, CacheManager(enCacheMode.NoCache)] //Manage your cache
        public ActionResult Index()
        {
            //NEVER USES VIEW BAG AGAIN !
            //ViewBag.Message = "Modify this template to kick-start your ASP.NET MVC application.";
            using (DataRepositories _dataContext = new DataRepositories())
            {
                base.InitView(
                    string.Empty,
                    string.Empty,
                    specificCssCollection,
                    specificJSCollection,
                    dynamicJSCollection,
                    specificJqueryJSCollection,
                    jsVariables,
                    externalCSS,
                    Meta,
                    _dataContext,
                    true);
            }

            //Generate a Divizion by zero Exception
            var a = 0;
            var b = 1;
            var c = b / a;

            return View(ContentData);
        }
    }
}
