﻿using System.ComponentModel.DataAnnotations;

namespace InnovaApp.Portals.MVC4Portal.Models.Account
{
	public class LogOnModel : _Account_Base
	{
		[Required]
		[Display(Name = "User name")]
		public string UserName { get; set; }

		[Required]
		[DataType(DataType.Password)]
		[Display(Name = "Password")]
		public string Password { get; set; }

		[Display(Name = "Remember me?")]
		public bool RememberMe { get; set; }
	}
}