﻿using INNOVACALL.Framework.Common.MVCHelpers.Localization;

namespace InnovaApp.Portals.MVC4Portal.Models.MetaModels.OrderManagement
{
	public class OrderTotal_MetaModel
	{

		[DisplayNameLocalizedEntityAttribute(typeof(InnovaApp.Layers.ResourcesLayer.Properties.Resources), "Order", "OrderTotals", "ExcludingTaxesTotal")]
		public decimal ExcludingTaxesTotal { get; set; }
		[DisplayNameLocalizedEntityAttribute(typeof(InnovaApp.Layers.ResourcesLayer.Properties.Resources), "Order", "OrderTotals", "TaxesTotal")]
		public decimal TaxesTotal { get; set; }
		[DisplayNameLocalizedEntityAttribute(typeof(InnovaApp.Layers.ResourcesLayer.Properties.Resources), "Order", "OrderTotals", "IncludedTaxesTotal")]
		public decimal IncludedTaxesTotal { get; set; }

		public OrderTotal_MetaModel()
		{
			this.ExcludingTaxesTotal = 0;
			this.IncludedTaxesTotal = 0;
			this.TaxesTotal = 0;
		}
	}
}